// Actions to fetch Products from database
export const FETCH_PIZZAS_FROM_FIRESTORE = 'FETCH_PIZZAS_FROM_FIRESTORE';
export const FETCH_PIZZAS_SUCCESS = 'FETCH_PIZZAS_SUCCESS';
export const FETCH_FAILED = 'FETCH_FAILED';

// Actions for user auth
export const CHECK_FOR_USER = 'CHECK_FOR_USER';
export const NEW_CHECK_FOR_USER = 'NEW_CHECK_FOR_USER';
export const USER_IS_LOGGED = 'USER_IS_LOGGED';
export const USER_NOT_LOGGED = 'USER_NOT_LOGGED';
export const UPDATE_USER_CONTACT = 'UPDATE_USER_CONTACT';
export const NEW_UPDAtE_USER_CONTACT = 'NEW_UPDAtE_USER_CONTACT';
export const GET_ORDER = 'GET_ORDER';
export const GET_ORDER_WATCHER = 'GET_ORDER_WATCHER';
// Actions for products cart 
export const UPDATE_PRICE = 'UPDATE_PRICE';
export const NEW_UPDATED_PRICE = 'NEW_UPDATED_PRICE';
export const NEW_ORDER = 'NEW_ORDER';
export const UPDATE_ORDER = 'UPDATE_ORDER';
export const REMOVE_ORDER = 'REMOVE_ORDER';
export const NEW_REMOVE_ORDER = 'NEW_REMOVE_ORDER';
export const INCREMENT_COUNTER = 'INCREMENT_COUNTER';
export const UPDATE_INCREMENT_COUNTER = 'UPDATE_INCREMENT_COUNTER';
export const DECREMENT_COUNTER = 'DECREMENT_COUNTER';
export const UPDATE_DECREMENT_COUNTER = 'UPDATE_DECREMENT_COUNTER';
export const CHANGE_COUNTER = 'CHANGE_COUNTER';
export const UPDATE_CHANGE_COUNTER = 'UPDATE_CHANGE_COUNTER';
export const CHANGE_PARTS = 'CHANGE_PARTS';
export const UPDATE_CHANGE_PARTS = 'UPDATE_CHANGE_PARTS';
export const CHANGE_PRODUCT = 'CHANGE_PRODUCT';
export const UPDATE_CHANGE_PRODUCT = 'UPDATE_CHANGE_PRODUCT';
export const CHANGE_ADICIONAIS = 'CHANGE_ADICIONAIS';
export const UPDATE_CHANGE_ADICIONAIS = 'UPDATE_CHANGE_ADICIONAIS';
export const RESET_CART_REDUCER = 'RESET_CART_REDUCER';
export const NEW_RESET_CART_REDUCER = 'NEW_RESET_CART_REDUCER';
export const CURRENT_CART_OPTIONS = 'CURRENT_CART_OPTIONS';
export const NEW_CURRENT_CART_OPTIONS = 'NEW_CURRENT_CART_OPTIONS';
export const UPDATE_PARTS_OPTIONS = 'UPDATE_PARTS_OPTIONS';
export const NEW_UPDATE_PARTS_OPTIONS = 'NEW_UPDATE_PARTS_OPTIONS';
export const UPDATE_BORDAS_OPTIONS = 'UPDATE_BORDAS_OPTIONS';
export const NEW_UPDATE_BORDAS_OPTIONS = 'NEW_UPDATE_BORDAS_OPTIONS';
export const NEW_OBSERVACAO = 'NEW_OBSERVACAO';
export const UPDATE_OBSERVACAO = 'UPDATE_OBSERVACAO';
export const NEW_HORARIO = 'NEW_HORARIO';
export const UPDATE_HORARIO = 'UPDATE_HORARIO';

export const NEW_STAGE_ORDER = 'NEW_STAGE_ORDER';
export const UPDATE_STAGE_ORDER = 'UPDATE_STAGE_ORDER';
export const GET_PROMO_PRODUCTS_SUCCESS = 'GET_PROMO_PRODUCTS_SUCCESS';
export const WATCH_GET_PROMO_PRODUCTS = 'WATCH_GET_PROMO_PRODUCTS';

//Actions for endereço
export const UPDATE_ADRESS = 'UPDATE_ADRESS';
export const NEW_UPDAtE_ADRESS = 'NEW_UPDAtE_ADRESS';

//Actions for payment
export const UPDATE_PAYMENT_METHOD = 'UPDATE_PAYMENT_METHOD';
export const NEW_UPDATE_PAYMENT_METHOD = 'NEW_UPDATE_PAYMENT_METHOD';

//Actions for order confirmation
export const ORDER_SUMITTED = 'ORDER_SUMITTED';
export const NEW_ORDER_SUMITTED = 'NEW_ORDER_SUMITTED';
export const STATUS_UPDATE = 'STATUS_UPDATE';
export const NEW_STATUS_UPDATE = 'NEW_STATUS_UPDATE';
export const RECEIVED_ID = 'RECEIVED_ID';
export const NEW_RECEIVED_ID = 'NEW_RECEIVED_ID';


export const actions = {
    FETCH_PIZZAS_FROM_FIRESTORE,
    FETCH_PIZZAS_SUCCESS,
    FETCH_FAILED,
    CHECK_FOR_USER,
    NEW_CHECK_FOR_USER,
    USER_IS_LOGGED,
    USER_NOT_LOGGED,
    UPDATE_PRICE,
    NEW_UPDATED_PRICE,
    NEW_ORDER,
    UPDATE_ORDER,
    REMOVE_ORDER,
    NEW_REMOVE_ORDER,
    INCREMENT_COUNTER,
    UPDATE_INCREMENT_COUNTER,
    DECREMENT_COUNTER,
    UPDATE_DECREMENT_COUNTER,
    CHANGE_COUNTER,
    UPDATE_CHANGE_COUNTER,
    CHANGE_PARTS,
    UPDATE_CHANGE_PARTS,
    CHANGE_PRODUCT,
    UPDATE_CHANGE_PRODUCT,
    CHANGE_ADICIONAIS,
    UPDATE_CHANGE_ADICIONAIS,
    RESET_CART_REDUCER,
    NEW_RESET_CART_REDUCER,
    CURRENT_CART_OPTIONS,
    NEW_CURRENT_CART_OPTIONS,
    UPDATE_PARTS_OPTIONS,
    NEW_UPDATE_PARTS_OPTIONS,
    UPDATE_BORDAS_OPTIONS,
    NEW_UPDATE_BORDAS_OPTIONS,
    UPDATE_ADRESS,
    NEW_UPDAtE_ADRESS,
    UPDATE_PAYMENT_METHOD,
    NEW_UPDATE_PAYMENT_METHOD,
    ORDER_SUMITTED,
    NEW_ORDER_SUMITTED,
    STATUS_UPDATE,
    NEW_STATUS_UPDATE,
    UPDATE_USER_CONTACT,
    NEW_UPDAtE_USER_CONTACT,
    NEW_OBSERVACAO,
    UPDATE_OBSERVACAO,
    UPDATE_HORARIO,
    GET_ORDER_WATCHER,
}